You are not logged in.

#1 2018-06-30 04:29:18

arch32yes
Member
Registered: 2017-09-30
Posts: 68

[solved] Exaile AUR ----- makepkg exited with code: 4

Hello User,

i want to install Exaile

https://aur.archlinux.org/packages/exaile/

I use the  Trizen AUR helper.

https://aur.archlinux.org/packages/trizen/

My error message:

ke[1]: *** [Makefile:678: all-recursive] Fehler 1
make[1]: Verzeichnis „/tmp/trizen-zxz/gstreamer0.10-base/src/gst-plugins-base-0.10.36“ wird verlassen
make: *** [Makefile:607: all] Fehler 2
==> FEHLER: Ein Fehler geschah in build().
    Breche ab...
:: Unable to build gstreamer0.10-base - makepkg exited with code: 4
=>> Try again? [y/N]: 

Than i have testing abiword-svn, the same message:

autoreconf: /usr/bin/autoconf failed with exit status: 1
Skipping configure process.
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."
==> FEHLER: Ein Fehler geschah in build().
    Breche ab...
:: Unable to build abiword-svn - makepkg exited with code: 4
=>> Try again? [y/N]: 

Can you helt me to intall Exaile?

Best regards
arch32yes

Last edited by arch32yes (2018-07-07 18:38:33)

Offline

#2 2018-06-30 06:38:37

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

For abiword-svn check out the comment from 2018-06-28 09:20 in https://aur.archlinux.org/packages/abiword-svn: you have to adapt configure.ac and patch the PKGBUILD file in order to compile
(some autoconf stuff is borked).

Alternatively, if you don't feel like patching, you can install 'abiword-svn' from my personal AUR repo:

[aba-aur]
Server = http://archlinux32.andreasbaumann.cc/aur/$arch

I accidentally linked abiword-svn against libebook-1.2.so.19, so you have to install:

pacman -S abiword-svn evolution-data-server

Offline

#3 2018-06-30 06:51:44

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

The error with gstreamer-0.10-base is completly different:

/usr/lib/gcc/i686-pc-linux-gnu/7.3.1/include/xmmintrin.h:785:1: error: inlining failed in call to always_inline ‘_mm_movehl_ps’: target specific option mismatch
 _mm_movehl_ps (__m128 __A, __m128 __B)
 ^~~~~~~~~~~~~

Some CPU intrinsics and inlining issues.

In gst/audioresample/speex_resampler_double.c and gst/audioresample/speex_resampler_float.c remove the #define _USE_SSE2
and #define _USE_SSE, it compiles this way, but may not be as fast for SPEEX files.

I would download gsreamer-0.10-base by hand (or with  and patch by hand:

wget https://aur.archlinux.org/cgit/aur.git/snapshot/gstreamer0.10.tar.gz
tar zxvf gstreamer0.10.tar.gz
cd gstreamer0.10
makepkg -o
# edit the files
makepkg -sei

At least I was able to build Exaile and it starts up.

Offline

#4 2018-07-02 18:38:30

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Hello andreas_baumann,

i have try to install exaile again, but i get this error message:

https://pastebin.com/WrbuTib5

Where is my mistake?

Greetz

arch32yes

Offline

#5 2018-07-02 19:21:16

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Tipp: stop using tryzen. Download the packages from AUR by hand, untar them and read the comments above.
You have to remove the defines for SSE and SSE2 as I stated above in the SPEEX module in gstreamer10.0.
Then use 'makepkg -si' to install the packages step by step.

Offline

#6 2018-07-04 04:33:26

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

andreas_baumann wrote:

The error with gstreamer-0.10-base is completly different:

/usr/lib/gcc/i686-pc-linux-gnu/7.3.1/include/xmmintrin.h:785:1: error: inlining failed in call to always_inline ‘_mm_movehl_ps’: target specific option mismatch
 _mm_movehl_ps (__m128 __A, __m128 __B)
 ^~~~~~~~~~~~~

Some CPU intrinsics and inlining issues.

In gst/audioresample/speex_resampler_double.c and gst/audioresample/speex_resampler_float.c remove the #define _USE_SSE2
and #define _USE_SSE, it compiles this way, but may not be as fast for SPEEX files.

I would download gsreamer-0.10-base by hand (or with  and patch by hand:

wget https://aur.archlinux.org/cgit/aur.git/snapshot/gstreamer0.10.tar.gz
tar zxvf gstreamer0.10.tar.gz
cd gstreamer0.10
makepkg -o
# edit the files
makepkg -sei

At least I was able to build Exaile and it starts up.

Hello, where can i finde the files to change "In gst/audioresample/speex_resampler_double.c and gst/audioresample/speex_resampler_float.c remove the #define _USE_SSE2
and #define _USE_SSE, it compiles this way, but may not be as fast for SPEEX files."?

https://github.com/jojva/gst-plugins-ba … ioresample

https://github.com/jojva/gst-plugins-ba … er_float.c

https://github.com/jojva/gst-plugins-ba … r_double.c

Example, did you mean i schould do this, /gst/audioresample/speex_resampler_double.c::

https://pastebin.com/kERJvyNN

define _USE_SSE
define _USE_SSE2

Can i use a AUR Helper this archlinux32?
If yes, which AUR Helper works without problems?

Greetz

arch32yes

Last edited by arch32yes (2018-07-04 04:47:17)

Offline

#7 2018-07-04 05:06:25

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

No helper is usable: all I know can edit PKGBUILD and trizen can also change the patches files (so basically all files
in source).

When you have a package you have to adapt, then it's better to do this by hand.

The tricky part here is, that while building, the package obviously creates the speex files
speex_resampler_double.c  and speex_resampler_float.c (so they are not in the package,
so you cannot find them, hence the confusion :-) ).
The idea is to build the package by hand, wait for the error to appear, then change th
files and finish the package build.

What I meant was:

wget https://aur.archlinux.org/cgit/aur.git/ … .10.tar.gz
tar zxf gstreamer0.10.tar.gz
cd gstreamer0.10
# start building, fails at some point
makepkg -si
# edit gst/audioresample/speex_resampler_double.c and gst/audioresample/speex_resampler_float.c
makepkg -sie

The software you want to use uses an old gstreamer version and all packages are from AUR.

Archlinux32 doesn't deal at all with packages in the AUR, we deal only with packages in
core, extra and community (as upstream does).

You can also get additional help from the guys maintaining the corresponding AUR packages,
but be prepared that they say they cannot test or build on 32-bit. Also, 'exaile' uses an old
version of gstreamer and has not been adapted to the newest one. So this raises also some
questions about the future of this software.

I think, it's best I build those packages and put them into my personal AUR repo:

and:

pacman -S exaile

They will be there in 1-2 hours.

Offline

#8 2018-07-04 05:17:20

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Oh. The speex plugin is in package gstreamer0.10-base. So my instructions regarding SSE and SSE2 apply to that
package, not to streamer0.10..

Offline

#9 2018-07-04 05:26:42

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Hello andreas_baumann,

thank you for your super service.
Exaile is an example for me to learn package building. So the work is not so important.

Do not do too much work.

Thank you.

Greetz

arch32yes

Last edited by arch32yes (2018-07-04 05:27:09)

Offline

#10 2018-07-04 05:39:39

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Sorry for the wrong instructions. If you try with gstreamer0.10-base, then it should work. :-)

We were actually thinking about having an i686-specific AUR repository as the ARM people have,
but with packaging always comes responsability, and currently we lack some resources to
automatize the building from the AUR.

Offline

#11 2018-07-04 06:10:03

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

So, my packages are up and work.

Offline

#12 2018-07-04 20:08:22

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

cat /etc/pacman.d/mirrorlist
##
## Arch Linux repository mirrorlist for i686
## Generated on 2017-11-15
##

## Canada
#Server = http://arch32.mirrors.simplysam.us/$arch/$repo

## Belarus
#Server = http://mirror.datacenter.by/pub/archlinux32/$arch/$repo

## France
#Server = https://archlinux32.mirror.roelf.org/$arch/$repo

## Germany
Server = http://archlinux32.vollzornbrot.de/$arch/$repo
Server = https://archlinux32.vollzornbrot.de/$arch/$repo
Server = http://mirror.archlinux32.org/$arch/$repo
Server = https://mirror.archlinux32.org/$arch/$repo
## note: you need to resolve via openNIC (or similar) to access the next mirror
#Server = http://mirror.archlinux32.oss/$arch/$repo

## India
#Server = https://ind.mirror.archlinux32.org/$arch/$repo

## Japan
#Server = https://jpn.mirror.archlinux32.org/$arch/$repo

## Mexico
#Server = https://mex.mirror.archlinux32.org/$arch/$repo

## Russia
#Server = http://mirror.yandex.ru/archlinux32/$arch/$repo
#Server = https://mirror.yandex.ru/archlinux32/$arch/$repo

## Singapore
#Server = https://sgp.mirror.archlinux32.org/$arch/$repo

## Switzerland
#Server = http://archlinux32.andreasbaumann.cc/$arch/$repo

## United States
#Server = https://32.arlm.tyzoid.com/$arch/$repo
#Server = https://mirror.math.princeton.edu/pub/archlinux32/$arch/$repo

[aba-aur]
Server = http://archlinux32.andreasbaumann.cc/aur/$arch
sudo pacman -Syu
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 aba-aur ist aktuell
 extra ist aktuell
 community ist aktuell
:: Starte vollständige Systemaktualisierung...
Warnung: freetype2: Lokale Version (2.9.1-1.0) ist neuer als aba-aur (2.8-2)
 Es gibt nichts zu tun
 sudo pacman -S exaile
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (23) aalib-1.4rc5-12  cdparanoia-10.2-7.0  gconf-3.2.6+11+g07808097-3.0  gstreamer0.10-0.10.36-17
            gstreamer0.10-base-0.10.36-11  gstreamer0.10-base-plugins-0.10.36-11  gstreamer0.10-good-0.10.31-29
            gstreamer0.10-good-plugins-0.10.31-29  gstreamer0.10-python-0.10.22-8  libcaca-0.99.beta19-1  libdv-1.0.0-7
            libglade-2.6.4-6.0  libshout-1:2.4.1-3  libvisual-0.4.0-7.0  mutagen-1.40.0-1.0  pygobject2-devel-2.28.7-1.0
            pygtk-2.24.0-8.0  python2-cairo-1.17.0-1.0  python2-dbus-1.2.6-1.0  python2-gobject2-2.28.7-1.0  taglib-1.11.1-1
            wavpack-5.1.0-2.0  exaile-3.4.5-1

Gesamtgröße der installierten Pakete:  65,33 MiB

:: Installation fortsetzen? [J/n] j
(23/23) Prüfe Schlüssel im Schlüsselring                                    [###########################################] 100%
(23/23) Überprüfe Paket-Integrität                                          [###########################################] 100%
Fehler: gstreamer0.10: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-base: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-python: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-good: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-good-plugins: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-base-plugins: Erforderliche Signatur fehlt
Fehler: exaile: Erforderliche Signatur fehlt
Fehler: Konnte den Vorgang nicht durchführen (Erforderliche Signatur für Paket fehlt)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.
[zxz@u100 ~]$ sudo pacman -Syu
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 aba-aur ist aktuell
 extra ist aktuell
 community ist aktuell
:: Starte vollständige Systemaktualisierung...
Warnung: freetype2: Lokale Version (2.9.1-1.0) ist neuer als aba-aur (2.8-2)
 Es gibt nichts zu tun
[zxz@u100 ~]$ sudo pacman -S exaile
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
Fehler: Kein Zugriff auf die Datenbank 'aba-aur' (Datenbank bereits registriert)
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (23) aalib-1.4rc5-12  cdparanoia-10.2-7.0  gconf-3.2.6+11+g07808097-3.0  gstreamer0.10-0.10.36-17
            gstreamer0.10-base-0.10.36-11  gstreamer0.10-base-plugins-0.10.36-11  gstreamer0.10-good-0.10.31-29
            gstreamer0.10-good-plugins-0.10.31-29  gstreamer0.10-python-0.10.22-8  libcaca-0.99.beta19-1  libdv-1.0.0-7
            libglade-2.6.4-6.0  libshout-1:2.4.1-3  libvisual-0.4.0-7.0  mutagen-1.40.0-1.0  pygobject2-devel-2.28.7-1.0
            pygtk-2.24.0-8.0  python2-cairo-1.17.0-1.0  python2-dbus-1.2.6-1.0  python2-gobject2-2.28.7-1.0  taglib-1.11.1-1
            wavpack-5.1.0-2.0  exaile-3.4.5-1

Gesamtgröße der installierten Pakete:  65,33 MiB

:: Installation fortsetzen? [J/n] j
(23/23) Prüfe Schlüssel im Schlüsselring                                    [###########################################] 100%
(23/23) Überprüfe Paket-Integrität                                          [###########################################] 100%
Fehler: gstreamer0.10: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-base: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-python: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-good: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-good-plugins: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-base-plugins: Erforderliche Signatur fehlt
Fehler: exaile: Erforderliche Signatur fehlt
Fehler: Konnte den Vorgang nicht durchführen (Erforderliche Signatur für Paket fehlt)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

Hello andreas_baumann, how can i solved this problem?

Greetz

arch32yes

Last edited by arch32yes (2018-07-04 20:13:17)

Offline

#13 2018-07-05 03:19:43

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 350

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Have you been following the news: https://bbs.archlinux32.org/viewtopic.php?id=2490


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#14 2018-07-05 04:24:39

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 416

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

arch32yes:
"[aba-aur]" does not belong into your mirrorlist, but into your pacman.conf. Feel free to put the mirror there, too - in case you want to use Andreas' mirror only for his repository.

regards,
deep42thought

Offline

#15 2018-07-05 21:10:50

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Hello,

my /etc/pacman.conf:

cat /etc/pacman.conf
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux and
# Arch Linux 32 packagers with `pacman-key --populate archlinux` and
# `pacman-key --populate archlinux32` respectively.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

[aba-aur]
Server = http://archlinux32.andreasbaumann.cc/aur/$arch

Install pacman -S exaile:

sudo pacman -S exaile
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (23) aalib-1.4rc5-12  cdparanoia-10.2-7.0  gconf-3.2.6+11+g07808097-3.0  gstreamer0.10-0.10.36-17
            gstreamer0.10-base-0.10.36-11  gstreamer0.10-base-plugins-0.10.36-11  gstreamer0.10-good-0.10.31-29
            gstreamer0.10-good-plugins-0.10.31-29  gstreamer0.10-python-0.10.22-8  libcaca-0.99.beta19-1  libdv-1.0.0-7
            libglade-2.6.4-6.0  libshout-1:2.4.1-3  libvisual-0.4.0-7.0  mutagen-1.40.0-1.0  pygobject2-devel-2.28.7-1.0
            pygtk-2.24.0-8.0  python2-cairo-1.17.0-1.0  python2-dbus-1.2.6-1.0  python2-gobject2-2.28.7-1.0  taglib-1.11.1-1
            wavpack-5.1.0-2.0  exaile-3.4.5-1

Gesamtgröße der installierten Pakete:  65,33 MiB

:: Installation fortsetzen? [J/n] j
(23/23) Prüfe Schlüssel im Schlüsselring                                    [###########################################] 100%
(23/23) Überprüfe Paket-Integrität                                          [###########################################] 100%
Fehler: gstreamer0.10: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-base: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-python: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-good: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-good-plugins: Erforderliche Signatur fehlt
Fehler: gstreamer0.10-base-plugins: Erforderliche Signatur fehlt
Fehler: exaile: Erforderliche Signatur fehlt
Fehler: Konnte den Vorgang nicht durchführen (Erforderliche Signatur für Paket fehlt)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

How can i solve the problem?

My solution:

cat /etc/pacman.conf
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux and
# Arch Linux 32 packagers with `pacman-key --populate archlinux` and
# `pacman-key --populate archlinux32` respectively.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

[aba-aur]
SigLevel = Optional TrustAll
Server = http://archlinux32.andreasbaumann.cc/aur/$arch

Is this soliution save, WSigLevel = Optional TrustAll2?

Greetz

arch32yes





https://wiki.archlinux.org/index.php/Pa … icial_keys

Last edited by arch32yes (2018-07-06 05:50:47)

Offline

#16 2018-07-05 21:39:03

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 416

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

arch32yes wrote:

Is this soliution save, WSigLevel = Optional TrustAll2?

Well, you skip signature checks of packages from abaumanns repository that way - it's ok. but otoh: abaumann, you could sign your packages with your build key smile

regards,
deep42thought

Offline

#17 2018-07-05 22:56:30

Luffy
Member
Registered: 2018-05-23
Posts: 14

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

[aba-aur]
Server = http://archlinux32.andreasbaumann.cc/aur/$arch
SigLevel = Optional DatabaseOptional

Those packages are signed with my key http://www.andreasbaumann.cc/contact/aba.pub (38AC A6A0 26D2 5CDD 227D 2483 2F63 99DC D221 2195).

Gracias Andreas.

Offline

#18 2018-07-06 04:22:32

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 416

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

But there are no signature files uploaded to the repository.

Offline

#19 2018-07-06 05:00:22

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Yep. I signed the packages in the repo with my key now.

@Luffy: what do you mean by YOUR key?! This is my public key which
can be used to verify my signatures for emails. This is NOT the public
key for signed Archlinux packages
(see http://pgp.mit.edu/pks/lookup?op=vindex … A0AF9BA7E7).
I hope your first name is really Andreas, don't try to speak in my name (or you risk
a ban from the forum).

Offline

#20 2018-07-06 19:19:05

Luffy
Member
Registered: 2018-05-23
Posts: 14

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

@ Andreas,
I'm sorry, forgot <quote> </quote> label, :-)

https://bbs.archlinux32.org/viewtopic.p … 4421#p4421

regards,

Last edited by Luffy (2018-07-06 19:21:36)

Offline

#21 2018-07-07 05:19:19

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Hello User,

which plugins did i need to hear webradio stations?

I get at this time the message: no suitable plugins found

Greetz

arch32yes

Offline

#22 2018-07-07 18:38:11

arch32yes
Member
Registered: 2017-09-30
Posts: 68

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Hello, i have solved the problem.

trizen -S exaile-git

Exai-git works without problems.

trizen -Qi exaile-git
Name                     : exaile-git
Version                  : 4.0.0+rc1+8+g19224aed-1
Beschreibung             : music player for gnome, similar to KDEs amarok
Architektur              : i686
URL                      : http://www.exaile.org
Lizenzen                 : GPL
Gruppen                  : Nichts
Stellt bereit            : exaile=4.0.0
Hängt ab von             : gtk3  gstreamer  mutagen  python2-dbus
                           python2-gobject  python2-cairo  udisks2  librsvg
                           gst-plugins-good
Optionale Abhängigkeiten : python2-feedparser: podcasts plugin
                           webkit2gtk: wikipedia plugin
                           python2-lxml: LyricsMania plugin
                           cddb-py: look up CD tags
                           libkeybinder3: Multimedia keys plugin
                           python2-beautifulsoup4: Lyrics Wiki plugin
                           libnotify: Notify plugin [Installiert]
                           streamripper: Streamripper plugin
                           gnome-screensaver: Pause on screensaver plugin
                           mate-screensaver: Pause on screensaver plugin
                           cinnamon-screensaver: Pause on screensaver plugin
Benötigt von             : Nichts
Optional für             : Nichts
In Konflikt mit          : exaile
Ersetzt                  : Nichts
Installationsgröße       : 9,04 MiB
Packer                   : Unknown Packager
Erstellt am              : Sa 07 Jul 2018 20:16:28 CEST
Installiert am           : Sa 07 Jul 2018 20:26:05 CEST
Installationsgrund       : Ausdrücklich installiert
Installations-Skript     : Nein
Verifiziert durch        : Nichts

Exaile needs, gstreamer0.10:

gstreamer0.10 0.10.36-17
gstreamer0.10-base 0.10.36-11
gstreamer0.10-base-plugins 0.10.36-11
gstreamer0.10-good 0.10.31-29
gstreamer0.10-good-plugins 0.10.31-29
gstreamer0.10-python 0.10.22-8

Greetz

arch32yers

Last edited by arch32yes (2018-07-08 20:26:14)

Offline

#23 2018-07-08 05:59:05

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 700
Website

Re: [solved] Exaile AUR ----- makepkg exited with code: 4

Ah, that's the easier version of course. Glad you solved it that way. :-)

Offline

Board footer

Powered by FluxBB